# $Revision: 1.58 $, $Date: 2011/04/07 07:22:58 $
#
# Conditional build:
%bcond_with	pthreads	 # with pthreads support
#
Summary:	General Input Interface library fo LibGGI
Summary(pl.UTF-8):	Biblioteka do obsługi urządzeń wejściowych dla GGI
Name:		libgii
Version:	1.0.2
Release:	3
License:	BSD-like
Group:		Libraries
Source0:	http://www.ggi-project.org/ftp/ggi/v2.2/%{name}-%{version}.src.tar.bz2
# Source0-md5:	e002b3b3b7fae2b2558fe7ac854359b7
URL:		http://www.ggi-project.org/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibGII (General Input Interface) is intended to be to input what our
LibGGI (General Graphics Interface) library is to graphics. The goal
of LibGII is to provide a single easy to use, but yet powerful, API
for all possible input sources. However we are not there yet. The API
is far from set in stone yet, and is likely to change.

%description -l pl.UTF-8
Biblioteka LibGII (General Input Interface) została przewidziana do
obsługi urządzeń wejściowych, podobnie jak LibGGI (General Graphics
Interface) - graficznych urządzeń wyjściowych. Głównym celem
biblioteki jest dostarczenie jednolitego i prostego w użyciu API dla
wszystkich możliwych urządzeń wejściowych.

%package X11
Summary:	LibGII X11 input
Summary(pl.UTF-8):	LibGII - obsługa urządzeń wejściowych w X11
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description X11
X11 input for GGI.

%description X11 -l pl.UTF-8
LibGII - obsługa urządzeń wejściowych w X11.

%package devel
Summary:	Development part of LibGII
Summary(pl.UTF-8):	Część dla programistów biblioteki LibGII
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development part of LibGII.

%description devel -l pl.UTF-8
Pliki potrzebne do programowania z wykorzystaniem LibGII.

%package static
Summary:	Static LibGII library
Summary(pl.UTF-8):	Biblioteka statyczna LibGII
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibGII library.

%description static -l pl.UTF-8
Biblioteka statyczna LibGII.

%prep
%setup -q

rm acinclude.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{?with_pthreads:--enable-mutexes=pthread} \
	%{!?debug:--disable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install demos/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ggi/{filter,input}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc FAQ NEWS README doc/README.directx
%dir %{_sysconfdir}/ggi
%dir %{_sysconfdir}/ggi/filter
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ggi/libgii.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ggi/filter/keytrans
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ggi/filter/mouse
%attr(755,root,root) %{_bindir}/mhub
%attr(755,root,root) %{_libdir}/libgg.so.*.*
%attr(755,root,root) %{_libdir}/libgii.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgg.so.1
%attr(755,root,root) %ghost %{_libdir}/libgii.so.1
%dir %{_libdir}/ggi
%dir %{_libdir}/ggi/filter
%attr(755,root,root) %{_libdir}/ggi/filter/keytrans.so
%attr(755,root,root) %{_libdir}/ggi/filter/mouse.so
%attr(755,root,root) %{_libdir}/ggi/filter/save.so
%attr(755,root,root) %{_libdir}/ggi/filter/tcp.so
%dir %{_libdir}/ggi/input
%attr(755,root,root) %{_libdir}/ggi/input/file.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_evdev.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_joy.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_kbd.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_mouse.so
%attr(755,root,root) %{_libdir}/ggi/input/lk201.so
%attr(755,root,root) %{_libdir}/ggi/input/mouse.so
%attr(755,root,root) %{_libdir}/ggi/input/null.so
%attr(755,root,root) %{_libdir}/ggi/input/spaceorb.so
%attr(755,root,root) %{_libdir}/ggi/input/stdin.so
%attr(755,root,root) %{_libdir}/ggi/input/tcp.so
%{_mandir}/man1/mhub.1*
%{_mandir}/man1/xsendbut.1*
%{_mandir}/man5/libgii.conf.5*
%{_mandir}/man7/*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xsendbut
%attr(755,root,root) %{_libdir}/ggi/input/x.so

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libgg.so
%attr(755,root,root) %{_libdir}/libgii.so
%{_libdir}/libgg.la
%{_libdir}/libgii.la
%{_includedir}/ggi
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgg.a
%{_libdir}/libgii.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgii.spec,v $
Revision 1.58  2011/04/07 07:22:58  lisu
- restore libtool files, there is now *.pc files
- rel 3

Revision 1.57  2011/04/06 20:04:30  lisu
- drop libtool files
- rel 2

Revision 1.56  2011/02/13 20:35:05  wiget
- use %{__rm} macro
- more verbose file list

Revision 1.55  2011/02/12 16:36:59  sls
- packaged ghost symlinks
- more verbose files
- packaged new files
- TODO done
- rel. 1

Revision 1.54  2011/02/12 16:23:14  sls
- added static subpackage

Revision 1.53  2011/01/29 00:06:54  sparky
- dropped pre-cvs changelog

Revision 1.52  2009/08/10 11:42:15  arekm
- updated to 1.0.2 (needs some files)

Revision 1.51  2008/01/31 21:42:13  glen
- rel 2

Revision 1.50  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.49  2007/02/13 05:42:03  qrczak
- Fixed typo in the description.

Revision 1.48  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.47  2006/04/26 20:30:59  qboosh
- libXau is libX11 dependency; updated autoconf BR for X11R7

Revision 1.46  2006/04/23 11:37:58  patrys
- drop XFree86 dependency

Revision 1.45  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.44  2005/10/06 21:47:16  qboosh
- updated to 0.9.2

Revision 1.43  2005/04/24 00:30:36  qboosh
- updated to 0.9.1, removed obsolete gcc4 patch

Revision 1.42  2005/02/04 10:03:56  pluto
- %%files fixed.

Revision 1.41  2005/02/04 09:50:36  pluto
- updated to 0.9.0.

Revision 1.40  2004/12/01 22:18:43  qboosh
- updated to 0.8.7

Revision 1.39  2004/11/26 14:48:51  darekr
- updated to 0.8.6
- fixed Source0

Revision 1.38  2004/10/24 12:03:31  paladine
- spelling fix

Revision 1.37  2004/05/30 21:24:20  qboosh
- updated to 0.8.5, removed obsolete ltfix patch, added llh patch

Revision 1.36  2003/12/22 00:27:28  qboosh
- updated to 0.8.4, updated ltfix patch, new-style bcond

Revision 1.35  2003/09/02 15:14:14  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.34  2003/07/10 12:47:12  qboosh
- removed %%doc from examples - all files in %%{_examplesdir} are docs implicitly

Revision 1.33  2003/06/04 14:11:31  qboosh
- fixed Source0 URL

Revision 1.32  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/20 11:33:57  trojan
- updated to 0.8.3

Revision 1.29  2003/01/16 20:24:15  qboosh
- 0.8.2, removed obsolete autoconf patch
- ltfix patch, libtoolize to use libtool with fixed relink

Revision 1.28  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.27  2002/06/26 12:43:32  trojan
- new %%doc packing infrastructure
- moved some docs from devel to main package
- release 3

Revision 1.26  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/02 20:22:17  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.23  2002/02/01 14:51:14  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.22  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/29 21:36:26  filon
- fixed broken %%doc
- release 2

Revision 1.20  2001/08/28 09:19:13  trojan
- updated to 0.8.1; STB
- updated %%files list

Revision 1.19  2001/08/10 13:32:00  trojan
- changed polish description
- added BuildRequires: autoconf, automake
- conditional pthreads support (not tested yet)
- conditional debug support

Revision 1.18  2001/07/24 16:43:21  qboosh
- fixed License - it's not GPL since 1998

Revision 1.17  2001/07/23 08:26:51  trojan
- updated to 0.8
- added patch (workarround)
- added ./autogen.sh before %configure
- updated %files list

Revision 1.16  2001/01/22 13:37:01  kloczek
- updated to 0.7.

Revision 1.15  2000/11/03 06:18:56  kloczek
- release 4: use new rpm automation.

Revision 1.14  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.9  1999/12/30 20:04:20  kloczek
- adapter(ized),
- added missing pl translations,
- cosmetics.

Revision 1.8  1999/12/27 21:48:14  alchemyx
- removed empty %pre*
- release++

Revision 1.7  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
